%define upstream_name    Class-XSAccessor
%define upstream_version 1.19

# Do not require private module
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Class::XSAccessor::Heavy\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 21

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Generate fast XS accessors without runtime compilation
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
Obsoletes:  perl-Class-XSAccessor-Array
Provides:   perl-Class-XSAccessor-Array

%description
Class::XSAccessor implements fast read, write and read/write accessors in
XS. Additionally, it can provide predicates such as 'has_foo()' for testing
whether the attribute 'foo' is defined in the object. It only works with
objects that are implemented as ordinary hashes. the
Class::XSAccessor::Array manpage implements the same interface for objects
that use arrays for their internal representation.

Since version 0.10, the module can also generate simple constructors
(implemented in XS) for you. Simply supply the 'constructor =>
'constructor_name'' option or the 'constructors => ['new', 'create',
'spawn']' option. These constructors do the equivalent of the following
perl code:

  sub new {
    my $class = shift;
    return bless { @_ }, ref($class)||$class;
  }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README XS
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Nov 26 2023 tv <tv> 1.190.0-21.mga10
+ Revision: 2009864
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 1.190.0-20.mga9
+ Revision: 1861607
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.190.0-19.mga9
+ Revision: 1795560
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.190.0-18.mga9
+ Revision: 1726418
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.190.0-17.mga8
+ Revision: 1594345
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.190.0-16.mga8
+ Revision: 1528897
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.190.0-15.mga8
+ Revision: 1432743
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.190.0-14.mga7
+ Revision: 1292483
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 1.190.0-13.mga7
+ Revision: 1247946
- Rebuild for new perl

* Mon Oct 02 2017 tv <tv> 1.190.0-12.mga7
+ Revision: 1163454
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.190.0-11.mga7
+ Revision: 1148685
- Rebuild for perl ABI changes
+ shlomif <shlomif>
- modernize spec

* Sat Jul 22 2017 neoclust <neoclust> 1.190.0-10.mga7
+ Revision: 1126779
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.190.0-9.mga6
+ Revision: 1024258
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.190.0-8.mga6
+ Revision: 956859
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.190.0-7.mga6
+ Revision: 844750
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.190.0-6.mga6
+ Revision: 840507
- Rebuild for new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.190.0-5.mga5
+ Revision: 745003
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.190.0-4.mga5
+ Revision: 732000
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.190.0-3.mga5
+ Revision: 683951
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.190.0-2.mga5
+ Revision: 630870
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 1.190.0-1.mga5
+ Revision: 585993
- update to 1.19

* Sat Oct 19 2013 umeabot <umeabot> 1.180.0-2.mga4
+ Revision: 528635
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.180.0-1.mga4
+ Revision: 446885
- update to 1.18

* Wed May 29 2013 shlomif <shlomif> 1.160.0-3.mga4
+ Revision: 431354
- Rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 364528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 314864
- update to 1.16

* Wed Aug 29 2012 kharec <kharec> 1.140.0-1.mga3
+ Revision: 285200
- update to 1.14

* Wed May 30 2012 jquelin <jquelin> 1.130.0-2.mga3
+ Revision: 250323
- rebuild for perl 5.16

* Mon Dec 12 2011 jquelin <jquelin> 1.130.0-1.mga2
+ Revision: 180863
- update to 1.13

* Fri Sep 16 2011 takashi <takashi> 1.120.0-2.mga2
+ Revision: 144200
- update to 1.12

* Sat Jun 11 2011 sander85 <sander85> 1.110.0-2.mga2
+ Revision: 103655
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 22180
- cleaning spec file
- imported package perl-Class-XSAccessor

